API ReferenceAssigned Project User
Updates the AssignedProjectUser resource
PATCH
Updates the AssignedProjectUser resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringAssignedProjectUser identifier
The updated AssignedProjectUser resource
- body
role?stringValue in
"none""pm-passive""pm-active""pm-operational"hourlyRate?numberFormat
floatDefault
0canReportTime?numberFormat
booleanAssignedProjectUser resource updated
- response
id?stringFormat
uuidprojectUser?role?stringValue in
"none""pm-passive""pm-active""pm-operational"hourlyRate?float|nullcanReportTime?booleancurl -X PATCH 'https://app.icproject.com/api/instance/demo/project/assigned-project-users/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "role": "none", "hourlyRate": null, "canReportTime": true}